<?php
// $Id: views_popup.views.inc,v 1.1.2.2 2009/02/09 20:46:12 bwong Exp $

/**
* Implementation of hook_views_plugin
*
*
*/
function views_popup_views_plugins() {
  return array(
    'module' => 'views_popup', // This just tells our themes are elsewhere.

    'style' => array( //declare the views_popup style plugin
      'views_popup_list' => array(
        'title' => t('Popup List'),
        'help' => t('Displays list of nodes with popup fields'),
        'handler' => 'views_popup_plugin_style_views_popup_list',
        'theme' => 'views_view_popup_list',
        'theme file' => 'views_popup_theme_list.inc',
        'uses row plugin' => FALSE,
        'uses fields' => TRUE,
        'uses options' => TRUE,
        'type' => 'normal',
      ),
      'views_popup_table' => array(
        'title' => t('Popup Table'),
        'help' => t('Displays table of nodes with popup fields'),
        'handler' => 'views_popup_plugin_style_views_popup_table',
        'theme' => 'views_view_popup_table',
        'theme file' => 'views_popup_theme_table.inc',
        'uses row plugin' => FALSE,
        'uses fields' => TRUE,
        'uses options' => TRUE,
        'type' => 'normal',
      ),
    ),
  );
}




